<?php

namespace App\Domain\Setting\Domain\Contract\Repository;

use App\Domain\Setting\Domain\Model\ContentSource;

interface ContentSourceRepositoryInterface
{
    public function findAll(): array;
    public function findById(int $id): ?ContentSource;
    public function findByBaseUrl(string $baseUrl): ?ContentSource;
    public function save(ContentSource $contentSource): void;
    public function delete(ContentSource $contentSource): void;
    public function deleteAll(): void;
    /**
     * @param ContentSource[] $contentSources
     */
    public function saveMultiple(array $contentSources): void;
}
